Issue 93564 - desktop-integration rpm broken in 3.0rc1
Summary: desktop-integration rpm broken in 3.0rc1
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: OOO300m5
Hardware: Unknown Linux, all
: P2 Trivial with 1 vote (vote)
Target Milestone: OOo 3.0
Assignee: ivo.hinkelmann
QA Contact: issues@gsl
URL:
Keywords: oooqa
: 93580 (view as issue list)
Depends on:
Blocks:
 
Reported: 2008-09-07 13:46 UTC by lohmaier
Modified: 2008-09-24 15:43 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description lohmaier 2008-09-07 13:46:57 UTC
The first part is probably only solvable by providing pointers in the
Readme/install instructions:

The freedesktop-rpm (didn't check others) installs mime-icons, but the 2.4
package installed mime-icons as well (as well as mime-info files) - so when
having 2.4 installed already, installing the 3.0 packages will conflict.
Using --replacefiles allows rpm to overwrite the icons provided by 2.4 package
with those from the 3.0 package. This however will not only replace the icon
files, but also change the "soffice" script to start OOo 3.0, not 2.4 (OK with me).

The following is *NOT* ok:
sysui30 changed the call to gtk-update-icon theme to use --ignore-theme-index

This switch doesn't make sense at all. Creating a cache for a directory where
there is no theme is useless and broken.
Furthermore the change kept the old, almost identical code in commented form.
This already shows (IMHO) that the committer was unsure whether the taken path
is really correct or not. (It is just wrong)

AND: It was captioned with "run always", but is still in the if-block that
limits to one (respectively zero)-instance of the package (i.e. first
install/complete uninstall)

Again minor: the "SuSE fix" (trying a hardcoded path for gtk-update-icon-cache
first) is kind of pointless for a package not meant to be installed on SuSE

(And: In the download set all the desktop-integration rpms were added twice,
once with revision 9347, once with revision 9350)
Comment 1 gibi 2008-09-07 15:31:39 UTC
I verified the first point on Mandriva Linux KDE with the OOO300-m5-X86_64.
Already present:
- OOo 2.4.1 (OOH680-m17)
- OOo 2.4.1 from mandriva (based on the same OOH680-m17)

Installing openoffice.org3.0-mandriva-menus-3.0-9350.noarch.rpm

installation of openoffice.org3.0-mandriva-menus-3.0-9350.noarch.rpm
Error :
the file /usr/bin/soffice from openoffice.org3.0-mandriva-menus-3.0-9350.noarch 
conflicts with the file from package openoffice.org-mandriva-menus-2.4-9268.noarch

Using --replacefiles works (around)
Comment 2 Mechtilde 2008-09-07 20:50:54 UTC
*** Issue 93574 has been marked as a duplicate of this issue. ***
Comment 3 Olaf Felka 2008-09-08 07:16:18 UTC
@ ihi: Please have a look.
Comment 4 Olaf Felka 2008-09-08 07:17:03 UTC
*** Issue 93580 has been marked as a duplicate of this issue. ***
Comment 5 ivo.hinkelmann 2008-09-08 12:33:14 UTC
set target to OOo 3.0
Comment 6 ivo.hinkelmann 2008-09-08 12:36:29 UTC
to make a long story short: remove "--ignore-theme-index" , right?
Comment 7 ivo.hinkelmann 2008-09-08 13:08:05 UTC
reverted
Comment 8 lohmaier 2008-09-09 02:57:52 UTC
the real problem (for the user) is the conflicting files when 2.4.x is installed
as well. (is a documentation issue mainly, cannot be easily solved with a single
package alone)

Since the multiple rpms included in the download set is handled in a seperate
issue, this one leaves the installscripts. 

Those are OK in the cws → verified
Comment 9 ivo.hinkelmann 2008-09-09 09:38:24 UTC
yes I will move all links etc into an own package soon so it is possible to
install different verions of OOo / SO to the same time
Comment 10 gibi 2008-09-21 11:12:43 UTC
On the first part of this issue (desktop-integration rpms that conflicts with
2.4 ones), I've just given a try with
OOo_3.0.0rc2_20080920_LinuxX86-64_install_en-US.

Installing
OOO300_m7_native_packed-1_en-US.9354/RPMS/desktop-integration/openoffice.org3.0-mandriva-menus-3.0-9354.noarch.rpm:

Error: 
/usr/bin/soffice conflicts with the file from package
openoffice.org-mandriva-menus-2.4-9268.noarch

Comment 11 Mechtilde 2008-09-21 11:20:00 UTC
as gibi described

this issue isn't fixed
Comment 12 maand 2008-09-21 11:48:25 UTC
In my opinion this issue seemed not to be fixed. I get a lot of error messages,
while I tried to install the desktop-integration-rpms (2 ones) for openSuSE
(installed is a version 2.4.1-x86 on an openSuSE11.0-x-64-bit). Here are the
error messages (including the command):
rpm -ivh openoffice.org3.0-suse*.rpm
warning: package openoffice.org3.0-suse-menus = 3.0-9352 was already added,
replacing with openoffice.org3.0-suse-menus >= 3.0-9354
Preparing...                                                           
(100%########################################### [100%]
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.database.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.formula.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.graphics-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.graphics.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.presentation-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.presentation.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-master.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-web.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.openofficeorg.extension.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.base.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.calc.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.calc.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.draw.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.draw.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.impress.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.impress.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.math.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.writer.global.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.writer.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/16x16/mimetypes/gnome-mime-application-vnd.sun.xml.writer.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.database.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.formula.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.graphics-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.graphics.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.presentation-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.presentation.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-master.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-web.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.openofficeorg.extension.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.base.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.calc.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.calc.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.draw.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.draw.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.impress.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.impress.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.math.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.writer.global.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.writer.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/32x32/mimetypes/gnome-mime-application-vnd.sun.xml.writer.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.database.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.formula.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.graphics-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.graphics.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.presentation-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.presentation.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-master.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text-web.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.oasis.opendocument.text.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.openofficeorg.extension.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.base.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.calc.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.calc.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.draw.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.draw.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.impress.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.impress.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.math.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.writer.global.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.writer.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file
/opt/gnome/share/icons/hicolor/48x48/mimetypes/gnome-mime-application-vnd.sun.xml.writer.template.png
from install of openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from
package openoffice.org-suse-menus-2.4-9268
        file /usr/bin/soffice from install of
openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from package
openoffice.org-suse-menus-2.4-9268
        file /usr/share/mime/packages/openoffice.org.xml from install of
openoffice.org3.0-suse-menus-3.0-9354 conflicts with file from package
openoffice.org-suse-menus-2.4-9268
Comment 13 maand 2008-09-21 11:51:04 UTC
I forgot to explain, that I tested with
OOo_3.0.0rc2_20080920_LinuxX86-64_install_en-US.tar.gz
Comment 14 lohmaier 2008-09-21 12:15:44 UTC
@gibi,andreasma: PLEASE READ THE COMMENTS before flooding the issue with useless
comments :-(  There are only 10 comments that explain the whole situation,
including the "flagging duplicate, please have a look, target set,..." messages.
Comment 15 ivo.hinkelmann 2008-09-22 10:58:19 UTC
deinstall the OOo 2.4 system integration ....

A parallel installation of those packages are tracked in this issue i90155

Issue back to fixed
Comment 16 ivo.hinkelmann 2008-09-22 10:59:00 UTC
.
Comment 17 Joost Andrae 2008-09-23 09:49:20 UTC
RPM based installation sets of 3.0.0rc2 have been re-packaged and uploaded to
the mirror network
Comment 18 Mechtilde 2008-09-24 15:43:25 UTC
-> closed